---
wsId: 
title: Buycoins - The easiest way to buy & sell crypto
altTitle: 
authors:
- danny
users: 10000
appId: africa.buycoins.buycoinsx.basic
appCountry: 
released: 2021-04-16
updated: 2022-05-18
version: 1.1.85
stars: 4
ratings: 281
reviews: 17
size: 
website: https://buycoins.africa
repository: 
issue: 
icon: africa.buycoins.buycoinsx.basic.png
bugbounty: 
meta: ok
verdict: custodial
date: 2021-10-08
signer: 
reviewArchive: 
twitter: buycoins
social:
- https://www.facebook.com/buycoinsafrica
redirect_from: 

---

## Update 2021-10-08

We noticed that there were 2 other apps with similar logos and similar sounding names:

1. {% include walletLink.html wallet='android/africa.bitkoin.buycoins' verdict='true' %}<br>
2. {% include walletLink.html wallet='android/africa.buycoins.buycoinsx.pro' verdict='true' %}<br> 

Number 1, has been found to have some red flags according to the previous reviewer. We tried to access Google Play's ratings for that app, but that app's page is no longer available.

We have yet to review BuyCoins Pro. 

### Google Play Critical Reviews

> [Naphtali Noah](https://play.google.com/store/apps/details?id=africa.buycoins.buycoinsx.basic&reviewId=gp%3AAOqpTOHLJLoSQzCkim6qEFcymAW70lUpGcku6WCFYoxfiYmSFSXwVvKFF0tgnAPmY7-5N2VqA2WHvBgsAyEVPQ)<br>
  ★☆☆☆☆ August 17, 2021 <br>
       My first time using this app and its giving me tough time. I couldn't log in cause its showing wrong password and later on locked the app for 6 hours. This is horrible<br>

<hr />

> [abiola okubanjo](https://play.google.com/store/apps/details?id=africa.buycoins.buycoinsx.basic&reviewId=gp%3AAOqpTOFWkyVF_-NCQrSI8mffIMDNj7UDQUqRfd1u7oi8BQ2OkKE4AbZNPAHFbirms3fEiVAmS0l77bZJNM6Y6Q)<br>
  ★☆☆☆☆ May 6, 2021<br>
       Let's go back to the old app, this new app is annoying, nothing is working, no p2p, can't deposit, can't withdraw, can't buy and sell coin. Why bring an update that is not not working?

### Company/Developer Profile 

Developer/Company: Crunchbase Profile - [Bitkoin Africa Inc.](https://www.crunchbase.com/organization/buycoins)<br>
CEO: Crunchbase Profile: [Timi Ajiboye](https://www.crunchbase.com/person/timi-ajiboye)<br>
- [Twitter Profile](https://twitter.com/timigod)

According to a pinned [tweet](https://twitter.com/timigod/status/1443878682825744384) dated October 1, 2021:

> Today, ⁦@buycoins⁩ turns 4. Today, we become Helicarrier. 

The Medium post referenced by the tweet can be found [here](https://blog.helicarrier.studio/hey-were-helicarrier-now-a0cf71df48d0).

Some quotes:

> We’ve gone from a website for P2P Bitcoin trading to building:
> - Buycoins — The easiest way to buy, sell and store cryptocurrencies in Africa.
> - Buycoins Pro — Orderbook for advanced digital asset trading.
> - Sendcash — Crypto powered remittance.
> - Sendcash Pay — A suite of developer tools that let you add borderless payment experiences to your digital products.
> - NGNT — A collateral-backed digital currency that bridges the Naira with the advantages of decentralized blockchain technology.

It is noteworthy that despite the critical reviews, the developer has constantly responded to the criticism in a professional manner. while there may be problems with the app, for now, we believe it is more prudent to assess these problems due to faulty implementation. 

With that said, we advise potential users to take the necessary precautions.

## App Description

The features are described:

> - Send and receive cryptocurrencies easily
> - Zero transaction fees
> - Fast payments
> - Secure wallet
> - Buy cryptocurrencies - Fund your account with Naira and easily buy Bitcoin, Ethereum, USDT and other cryptocurrencies.
> - Instantly sell your coins and withdraw your money to your bank account.

## The Site

### Terms of Service

The [Terms](https://buycoins.africa/terms) specify the site's power to freeze the assets of the user in section 5.4, 

> We reserve the right to **cancel and/or suspend your Buycoins Account and/or block transactions or freeze funds immediately and without notice if we determine, in our sole discretion**, that your Account is associated with a Prohibited Use and/or a Prohibited Business.

## The App

We downloaded the app and tried to register. We were unable to register because the OTP (One-Time Password) did not arrive.

## Verdict

Despite our inability to register both on the app and on the web platform, we have sufficient reason to believe that this app is custodial due to their ability to cancel the accounts and freeze the funds of users. Any app that has the ability to do this **in their own sole discretion** makes it **custodial** and therefore **not verifiable**.
